#pragma once

#include "View.h"
#include "widgets.h"

#include <SDL2/SDL.h>

#include <memory>
#include <vector>

class AMI final : public View {
public:
  AMI(SDL_Renderer* renderer);

  void draw() override;

private:
  TTF_Font* avenir;

  std::vector<Widget*> widgets;

  ImageWidget ft_logo;
  TextWidget choose;
  ListWidget missions_widget;
  std::vector<std::unique_ptr<Widget>> missions;
};